Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class QtPropertyManager.Entry

    java.lang.Object
      com.trolltech.qt.QtPropertyManager.Entry

Enclosing class:
  QtPropertyManager

    public static class QtPropertyManager.Entry

extends java.lang.Object

The Entry class is used to keep information about a property. QtPropertyManager can return an Entry list for each property in a class.

Field Summary
`java.lang.reflect.Method` | `designable` A method that returns true if the property can be edited in a GUI builder; otherwise, false.
`java.lang.String` | `name` The name of the property.
`java.lang.reflect.Method` | `read` The read method of the property.
`java.lang.reflect.Method` | `reset` The reset method of the property.
`int` | `sortOrder` The sort order of the property.
`java.lang.reflect.Method` | `write` The writemethod of the property.

Constructor Summary
`QtPropertyManager.Entry(java.lang.String name)` Creates an Entry for a property named `name`.

Method Summary
`boolean` | `isDesignable(java.lang.Object o)` Invokes the `designable` Method and returns the result.
`java.lang.Class` | `type()` Returns the type of the property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  The name of the property.

### read

    public java.lang.reflect.Method read

  The read method of the property.

### write

    public java.lang.reflect.Method write

  The writemethod of the property.

### reset

    public java.lang.reflect.Method reset

  The reset method of the property.

### designable

    public java.lang.reflect.Method designable

  A method that returns true if the property can be edited in a GUI builder; otherwise, false.

### sortOrder

    public int sortOrder

  The sort order of the property.

Constructor Detail

### QtPropertyManager.Entry

    public QtPropertyManager.Entry(java.lang.String name)

  Creates an Entry for a property named `name`.

Method Detail

### isDesignable

    public boolean isDesignable(java.lang.Object o)

  Invokes the `designable` Method and returns the result. If `designable` is null or an invocation exception was thrown, it returns false. See the QtPropertyDesignable annotation on how to specify the `designable` method.

### type

    public java.lang.Class type()

  Returns the type of the property.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD